com.android.agf.fragments

## Class ComponentWebViewFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.android.agf.fragments.Base_WebViewFragment
      - - com.android.agf.fragments.ComponentWebViewFragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener
  Direct Known Subclasses:
    EditWebviewFragment

      public class ComponentWebViewFragment
      extends Base_WebViewFragment

  fragment que visualitzar un component
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ComponentWebViewFragment.MyDragListener` classe local que implementa el listener d'arrosegar
    `(package private) class` | `ComponentWebViewFragment.MyLoad` classe local amb l'async task de carrega de les dades de la base de dades
    `(package private) class` | `ComponentWebViewFragment.MyLoadCDA` classe local per implementar l'asynctask de carrega de dades de CDA

    - ### Nested classes/interfaces inherited from class com.android.agf.fragments.Base_WebViewFragment

      `Base_WebViewFragment.InsideWebChromeClient, Base_WebViewFragment.InsideWebViewClient, Base_WebViewFragment.MyJavaScript, Base_WebViewFragment.MyJavaScriptCDA`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DashComponent` | `mComponent`
    `protected View` | `mDefaultView`
    `protected LinearLayout` | `mLegend`
    `protected boolean` | `mLegendSetting`
    `protected View` | `mLoadView`
    `protected String` | `mNomComponent`
    `protected TextView` | `mTitle`
    `protected boolean` | `mTitleSetting`
    `protected View` | `mViewSettings`
    `protected WebView` | `mWebview1`

    - ### Fields inherited from class com.android.agf.fragments.Base_WebViewFragment

      `mHandler, mId, mPentaho, mServer, mUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentWebViewFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actualitzaLlegenda(List<Legend> e, int i)` funcio per actualitzar el contingut de la llegenda del component
    `void` | `canviaColor(int id_color)` modificacio del color del component
    `void` | `canviaGraph(int idGraph)` modificacio del grafic del component
    `void` | `iniciaLoad(int id)` funcio per modificar views al iniciar la carrega de dades
    `void` | `initWebViews()` funcio on es gestiona l'inici de webviews
    `protected int` | `loadingWebview(WebView webview, String url, JavaScriptInterface js)` funcio on es produeix la petició de carrega amb la url
    `static ComponentWebViewFragment` | `newInstance(String id, String nom, String nomUser)` funcio per introduir parametres a la creació del fragment
    `void` | `onActivityCreated(Bundle savedInstanceState)` crida un cop es crea l'activity asociada al fragment, asignació de views i listeners presents al fragment
    `void` | `onCreate(Bundle savedInstanceState)` crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` adjudicacio del layout segons si es cda o cdf
    `void` | `onDestroy()` neteja de camps de dades per afavorir el GC i alliberar memòria
    `void` | `onResume()` crida un cop el fragment esta present en el viewpager, usuari servidor pentaho i carrega de dades
    `void` | `onStop()` control pausa del webview per alliberar memoria
    `void` | `startWebview(int i, DashComponent comp)` funcio on s'estableix tots els parametres del webview en cas que sigui CDF
    `void` | `startWebviewCDA(CDAData cda, int id, DashComponent comp)` funcio on s'estableix tots els parametres del webview en cas que sigui CDA
    `void` | `tancaLoad(int id)` funcio per modificar views al finalitzar la carrega de dades
    `protected WebView` | `webviewSettings(WebView webview, JavaScriptInterface js)` funcio on es configura tots els parametres del Webview de forma estandaritzada

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onSaveInstanceState, onStart, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mDefaultView

          protected View mDefaultView

    - #### mLoadView

          protected View mLoadView

    - #### mViewSettings

          protected View mViewSettings

    - #### mTitle

          protected TextView mTitle

    - #### mLegend

          protected LinearLayout mLegend

    - #### mTitleSetting

          protected boolean mTitleSetting

    - #### mComponent

          protected DashComponent mComponent

    - #### mLegendSetting

          protected boolean mLegendSetting

    - #### mWebview1

          protected WebView mWebview1

    - #### mNomComponent

          protected String mNomComponent

  - ### Constructor Detail

    - #### ComponentWebViewFragment

          public ComponentWebViewFragment()

  - ### Method Detail

    - #### newInstance

          public static ComponentWebViewFragment newInstance(String id,
                                             String nom,
                                             String nomUser)

      funcio per introduir parametres a la creació del fragment

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
      Overrides:
        `onCreate` in class `Fragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      adjudicacio del layout segons si es cda o cdf
      Overrides:
        `onCreateView` in class `Fragment`

    - #### onActivityCreated

          public void onActivityCreated(Bundle savedInstanceState)

      crida un cop es crea l'activity asociada al fragment, asignació de views i listeners presents al fragment
      Overrides:
        `onActivityCreated` in class `Fragment`

    - #### onResume

          public void onResume()

      crida un cop el fragment esta present en el viewpager, usuari servidor pentaho i carrega de dades
      Overrides:
        `onResume` in class `Fragment`

    - #### onStop

          public void onStop()

      control pausa del webview per alliberar memoria
      Overrides:
        `onStop` in class `Fragment`

    - #### onDestroy

          public void onDestroy()

      neteja de camps de dades per afavorir el GC i alliberar memòria
      Overrides:
        `onDestroy` in class `Fragment`

    - #### canviaColor

          public void canviaColor(int id_color)

      modificacio del color del component
      Parameters:
        `id_color` -

    - #### canviaGraph

          public void canviaGraph(int idGraph)

      modificacio del grafic del component
      Parameters:
        `idGraph` -

    - #### iniciaLoad

          public void iniciaLoad(int id)

      Description copied from class: `Base_WebViewFragment`
      funcio per modificar views al iniciar la carrega de dades
      Specified by:
        `iniciaLoad` in class `Base_WebViewFragment`

    - #### tancaLoad

          public void tancaLoad(int id)

      Description copied from class: `Base_WebViewFragment`
      funcio per modificar views al finalitzar la carrega de dades
      Specified by:
        `tancaLoad` in class `Base_WebViewFragment`

    - #### actualitzaLlegenda

          public void actualitzaLlegenda(List<Legend> e,
                                int i)

      Description copied from class: `Base_WebViewFragment`
      funcio per actualitzar el contingut de la llegenda del component
      Specified by:
        `actualitzaLlegenda` in class `Base_WebViewFragment`

    - #### initWebViews

          public void initWebViews()

      Description copied from class: `Base_WebViewFragment`
      funcio on es gestiona l'inici de webviews
      Specified by:
        `initWebViews` in class `Base_WebViewFragment`

    - #### startWebview

          public void startWebview(int i,
                          DashComponent comp)

      Description copied from class: `Base_WebViewFragment`
      funcio on s'estableix tots els parametres del webview en cas que sigui CDF
      Specified by:
        `startWebview` in class `Base_WebViewFragment`

    - #### startWebviewCDA

          public void startWebviewCDA(CDAData cda,
                             int id,
                             DashComponent comp)

      Description copied from class: `Base_WebViewFragment`
      funcio on s'estableix tots els parametres del webview en cas que sigui CDA
      Specified by:
        `startWebviewCDA` in class `Base_WebViewFragment`

    - #### loadingWebview

          protected int loadingWebview(WebView webview,
                           String url,
                           JavaScriptInterface js)

      Description copied from class: `Base_WebViewFragment`
      funcio on es produeix la petició de carrega amb la url
      Specified by:
        `loadingWebview` in class `Base_WebViewFragment`
      Returns:

    - #### webviewSettings

          protected WebView webviewSettings(WebView webview,
                                JavaScriptInterface js)

      Description copied from class: `Base_WebViewFragment`
      funcio on es configura tots els parametres del Webview de forma estandaritzada
      Specified by:
        `webviewSettings` in class `Base_WebViewFragment`
      Returns: